Bug 177491

Summary: [patch] ports-mgmt/tinderbox: fix display of port fail reasons on the latest_buildports page
Product: Ports & Packages Reporter: r4721 <r4721>
Component: Individual Port(s)Assignee: Matthias Andree <mandree>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description r4721@tormail.org 2013-03-30 03:30:00 UTC
a missing echo causes the port fail reason to not be displayed on the latest_buildports page.

this patch has also been sent to the software vendor.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-30 13:43:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2013-06-04 13:28:33 UTC
Responsible Changed
From-To: itetcu->freebsd-ports

Maintainer timeout (8 weeks).
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2013-06-04 19:39:58 UTC
Responsible Changed
From-To: freebsd-ports->freebsd-ports-bugs

properly reflect maintainer timeout.
Comment 4 Matthias Andree freebsd_committer 2013-06-06 21:46:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-06-06 23:25:19 UTC
Author: mandree
Date: Thu Jun  6 22:25:11 2013
New Revision: 320140
URL: http://svnweb.freebsd.org/changeset/ports/320140

Log:
  Fix display of port fail reasons on the latest_buildports page with
  default template (not visible in paefchen template).
  
  PR:		177491
  Submitted by:	Anonymous <r4721@tormail.org>
  Approved by:	itetcu (maintainer timeout, 68 days)

Added:
  head/ports-mgmt/tinderbox/files/patch-fail-reasons   (contents, props changed)
Modified:
  head/ports-mgmt/tinderbox/Makefile

Modified: head/ports-mgmt/tinderbox/Makefile
==============================================================================
--- head/ports-mgmt/tinderbox/Makefile	Thu Jun  6 22:24:37 2013	(r320139)
+++ head/ports-mgmt/tinderbox/Makefile	Thu Jun  6 22:25:11 2013	(r320140)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tinderbox
 PORTVERSION=	4.0.0
+PORTREVISION=	1
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	http://tinderbox.marcuscom.com/ \
 		http://T32.TecNik93.com/FreeBSD/ports/${PORTNAME}/sources/

Added: head/ports-mgmt/tinderbox/files/patch-fail-reasons
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/ports-mgmt/tinderbox/files/patch-fail-reasons	Thu Jun  6 22:25:11 2013	(r320140)
@@ -0,0 +1,12 @@
+# http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177491 by Anonymous
+--- webui/templates/default/latest_buildports.tpl.orig
++++ webui/templates/default/latest_buildports.tpl
+@@ -50,7 +50,7 @@
+ 				<?php $reason=$row['port_last_fail_reason']?>
+ 				<td class="<?php if(!empty($port_fail_reasons[$reason]['type']))echo "fail_reason_".$port_fail_reasons[$reason]['type']?>">
+ 				<?php $href=isset($port_fail_reasons[$reason]['link']) ? "index.php?action=display_failure_reasons&amp;failure_reason_tag=$reason#$reason" : "#"?>
+-				<a href="<?php echo $href?>" class="<?php if(!empty($port_fail_reasons[$reason]['type']))echo "fail_reason_".$port_fail_reasons[$reason]['type']?>" title="<?php if(!empty($port_fail_reasons[$reason]['descr']))echo $port_fail_reasons[$reason]['descr']?>"><?php $reason?></a>
++				<a href="<?php echo $href?>" class="<?php if(!empty($port_fail_reasons[$reason]['type']))echo "fail_reason_".$port_fail_reasons[$reason]['type']?>" title="<?php if(!empty($port_fail_reasons[$reason]['descr']))echo $port_fail_reasons[$reason]['descr']?>"><?php echo $reason?></a>
+ 				</td>
+ 				<td>
+ 					<?php if($row['port_link_logfile']){?>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Matthias Andree freebsd_committer 2013-06-06 23:25:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!